---
title: "Get Google AI Mode SERP Advanced Results by id"
url: "https://docs.dataforseo.com/v3/serp/google/ai_mode/task_get/advanced/"
date: "2026-06-06"
---

## Get Google AI Mode SERP Advanced Results by id

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/serp/google/ai\_mode/task\_get/advanced/$id     

      

Pricing

  Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-local-finder-serp-api "Pricing") page.

 

 **Description of the fields for sending a request:**

| Field name | Type | Description |
|---|---|---|
| `id` | string | *task identifier*   [a universally unique identifier (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier)   **unique task identifier in our system**   you will be able to use it within **30 days** to request the results of the task at any time |

  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks.

You can also get all available SERP features and possible extra elements by making a request to the following [Sandbox](https://docs.dataforseo.com/v3/appendix/sandbox.md) URL:  
`https://sandbox.dataforseo.com/v3/serp/google/ai_mode/task_get/advanced/00000000-0000-0000-0000-000000000000`  
The response will include all available items in the Google Local Finder SERP Advanced endpoint with the fields containing dummy data.  
You won’t be charged for using [Sandbox](https://docs.dataforseo.com/v3/appendix/sandbox.md) endpoints.

**Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **the keyword is returned with decoded %## (plus symbol '+' will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results* you can use it to make sure that we provided exact results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| **`spell`** | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection;   in this case, the value will be `null` |
| `keyword` | string | *keyword obtained as a result of search engine autocorrection*   the results will be provided for the corrected keyword |
| `type` | string | *type of autocorrection*   possible values:   `did_you_mean`, `showing_results_for`, `no_results_found_for`, `including_results_for` |
| **`refinement_chips`** | object | *search refinement chips*   in this case, the value will be `null` |
| `type` | string | *type of element*=***'refinement\_chips'***n |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| **`items`** | array | *items of the element* |
| `type` | string | *type of element*=***'refinement\_chips\_element'***n |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| **`options`** | array | *further search refinement options* |
| `type` | string | *type of element*=***'refinement\_chips\_option'***n |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types:   `ai_overview` |
| `se_results_count` | integer | *total number of results in SERP* |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| **`ai_overview`** | object |  |
| `type` | string | *type of element*=***'ai\_overview'*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *SERP page*   SERP page on which the element ranks |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `xpath` | string | *the [XPath](https://en.wikipedia.org/wiki/XPath) of the element* |
| `asynchronous_ai_overview` | boolean | *indicates whether the element is loaded asynchronously*   if `true`, the `ai_overview` element is loaded asynchronously;   if `false`, the `ai_overview` element is loaded from cache |
| `markdown` | string | *content of the element in markdown format*   the text of the `ai_overview` formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`items`** | array | *items present in the element* |
| `type` | string | *type of element = '**ai\_overview\_element**'* |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `title` | string | *title of the element* |
| `text` | string | *text or description of the element in SERP* |
| `markdown` | string | *content of the element in markdown format* |
| **`links`** | array | *website links featured in the element*   if there are none, equals `null` |
| `type` | string | *type of element = '**link\_element**'* |
| `title` | string | *link anchor text* |
| `description` | string | *link description* |
| `url` | string | *link URL* |
| `domain` | string | *domain in SERP* |
| **`images`** | array | *images of the element*   if there are none, equals `null` |
| `type` | string | *type of element = '**images\_element**'* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| **`references`** | array | *references relevant to the element*   includes references to webpages that were used to generate the `ai_overview_element` |
| `type` | string | *type of element = '**ai\_overview\_reference**'* |
| `source` | string | *reference source name or title* |
| `domain` | string | *domain name of the reference* |
| `url` | string | *reference page URL* |
| `title` | string | *reference page title* |
| `text` | string | *reference text*   text snippet from the page that was used to generate the `ai_overview_element` |
| `type` | string | *type of element = '**ai\_overview\_video\_element**'* |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `title` | string | *title of the element* |
| `snippet` | string | *additional information for the video* |
| `url` | string | *URL of the link to the video* |
| `domain` | string | *domain of the website hosting the video* |
| `image_url` | string | *URL to the image thumbnail of the video* |
| `source` | string | *name of the source of the video* |
| `date` | string | *date when the video was published or indexed*   example:    `Apr 26, 2024` |
| `timestamp` | string | *date and time when the video was published or indexed*   in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"   example:   `2019-11-15 12:57:46 +00:00` |
| `type` | string | *type of element = '**ai\_overview\_table\_element**'* |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `markdown` | string | *content of the element in markdown format* |
| **`table`** | object | *table present in the element*   the header and content of the table present in the element |
| `table_header` | array | *content in the header of the table* |
| `table_content` | array | *array of contents of the table present in the element*   each array represents the table row |
| **`references`** | array | *references relevant to the element*   includes references to webpages that were used to generate the `ai_overview_element` |
| `type` | string | *type of element = '**ai\_overview\_reference**'* |
| `source` | string | *reference source name or title* |
| `domain` | string | *domain name of the reference* |
| `url` | string | *reference page URL* |
| `title` | string | *reference page title* |
| `text` | string | *reference text*   text snippet from the page that was used to generate the `ai_overview_element` |
| `type` | string | *type of element = '**ai\_overview\_expanded\_element**'* |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `title` | string | *title of the element in SERP* |
| `text` | string | *additional text of the element in SERP* |
| **`components`** | array | *array of components of the element* |
| `type` | array | *type of component = '**ai\_overview\_expanded\_component**'* |
| `title` | string | *title of the element in SERP* |
| `text` | string | *text of the component* |
| `markdown` | string | *text of the component in the markdwon format* |
| **`images`** | array | *images of the component*   if there are none, equals `null` |
| `type` | string | *type of element = '**images\_element**'* |
| `alt` | string | *alt tag of the image* |
| `url` | string | *relevant URL* |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| **`links`** | array | *sitelinks*   the links shown below some of Google's search results   if there are none, equals `null` |
| `type` | string | *type of element = '**link\_element**'* |
| `title` | string | *title of the link* |
| `description` | string | *description of the link* |
| `url` | string | *URL in link* |
| `domain` | string | *domain in link* |
| **`references`** | array | *additional references relevant to the item*   includes references to webpages that may have been used to generate the `ai_overview` |
| `type` | string | *type of element = '**ai\_overview\_reference**'* |
| `source` | string | *reference source name or title* |
| `domain` | string | *domain name of the reference* |
| `url` | string | *reference page URL* |
| `title` | string | *reference page title* |
| `text` | string | *reference text*   text snippet from the page that was used to generate the `ai_overview_element` |
| `type` | string | *type of element = '**ai\_overview\_shopping**'* |
| `position` | string | *the alignment of the element in SERP*   can take the following values:   `left`, `right` |
| `title` | string | *title of the element in SERP* |
| `markdown` | string | *content of the element in markdown format*   the text of the `ai_overview` formatted in the [markdown markup language](https://en.wikipedia.org/wiki/Markdown) |
| **`items`** | array | *items present in the element* |
| `type` | string | *type of element = '**ai\_overview\_shopping\_element**'* |
| `product_id` | string | *unique product identifier on Google Shopping*   learn more about the parameter in [this help center guide](https://dataforseo.com/help-center/product-id-google-shopping) |
| `data_docid` | string | *unique identifier of the SERP data element* |
| `gid` | string | *global product identifier on Google Shopping*   learn more about the parameter in [this help center guide](https://dataforseo.com/help-center/whats-a-gid-in-google-shopping-api) |
| `title` | string | *title of the element* |
| `url` | string | *search URL with refinement parameters* |
| `domain` | string | *domain in SERP* |
| **`rating`** | object | *product rating*    the popularity rate based on reviews    if there is none, the value will be `null` |
| `rating_type` | string | *the type of rating*   here you can find the following elements: `Max5`, `Percents`, `CustomMax` |
| `value` | float | *the value of the rating* |
| `votes_count` | integer | *the amount of feedback* |
| `rating_max` | integer | *the maximum value for a `rating_type`* |
| **`price`** | object | *product price*   product price details on the seller's website;    if there is none, the value will be `null` |
| `current` | float | *current price*   indicates the current price of the shopping element |
| `regular` | float | *regular price*   indicates the regular price of the shopping element |
| `max_value` | float | *the maximum price*   indicates the maximum price of the shopping element |
| `currency` | string | *currency of the listed price*   ISO code of the currency applied to the price |
| `is_price_range` | boolean | *price is provided as a range*   indicates whether a price is provided in a range |
| `displayed_price` | string | *price string in the result*   raw price string as provided in the result |
| `seller` | string | *product seller*   name of the product's seller as displayed in search results |
| `snippet` | string | *additional information about the result* |
| `marketplace` | string | *merchant account provider*   e-commerce site that hosts products or websites of individual sellers under the same merchant account   example:   `by Google` |
| `marketplace_url` | string | *URL to the merchant account provider*   e-commerce site that hosts products or websites of individual sellers under the same merchant account |
| `image_url` | string | *URL of the image*   the URL leading to the image on the original resource or DataForSEO storage (in case the original source is not available) |
| **`references`** | array | *additional references relevant to the item*   includes references to webpages that may have been used to generate the `ai_overview` |
| `type` | string | *type of element = '**ai\_overview\_reference**'* |
| `source` | string | *reference source name or title* |
| `domain` | string | *domain name of the reference* |
| `url` | string | *reference page URL* |
| `title` | string | *reference page title* |
| `text` | string | *reference text*   text snippet from the page that was used to generate the `ai_overview_element` |
| **`rectangle`** | object | *rectangle parameters*   contains cartesian coordinates and pixel dimensions of the result's snippet in SERP   equals `null` if `calculate_rectangles` in the POST request is not set to `true` |
| `x` | integer | *x-axis coordinate*   x-axis coordinate of the top-left corner of the result's snippet, where top-left corner of the screen is the origin |
| `y` | integer | *y-axis coordinate*   y-axis coordinate of the top-left corner of the result's snippet, where top-left corner of the screen is the origin |
| `width` | integer | *width of the element in pixels* |
| `height` | integer | *height of the element in pixels* |







  
 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="02261816-2027-0066-0000-c27d02864073" 
curl --location --request GET "https://api.dataforseo.com/v3/serp/google/ai_mode/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/serp/google/ai_mode/tasks_ready
	// in addition to 'google' and 'ai_mode' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$tasks_ready = $client->get('/v3/serp/google/ai_mode/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/serp/google/ai_mode/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/serp/google/ai_mode/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/serp/google/ai_mode/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const task_id = '02231256-2604-0066-2000-57133b8fc54e';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/serp/google/ai_mode/task_get/advanced/' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/google/ai_mode/tasks_ready
# in addition to 'google' and 'ai_mode' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/ai_mode/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    results = []
    for task in response['tasks']:
        if (task['result'] and (len(task['result']) > 0)):
            for resultTaskInfo in task['result']:
                # 2 - using this method you can get results of each completed task
                # GET /v3/serp/google/ai_mode/task_get/advanced/$id
                if(resultTaskInfo['endpoint_advanced']):
                    results.append(client.get(resultTaskInfo['endpoint_advanced']))
                '''
                # 3 - another way to get the task results by id
                # GET /v3/serp/google/ai_mode/task_get/advanced/$id                
                if(resultTaskInfo['id']):
                    results.append(client.get("/v3/serp/google/ai_mode/task_get/advanced/" + resultTaskInfo['id']))
                '''
    print(results)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_task_get()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // #1 - using this method you can get a list of completed tasks
            // GET /v3/serp/google/ai_mode/tasks_ready
            // in addition to 'google' and 'ai_mode' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/serp/google/ai_mode/tasks_ready");
            var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            var tasksResponses = new List<object>();
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (tasksInfo.status_code == 20000)
            {
                foreach (var tasks in tasksInfo.tasks)
                {
                    if (tasks.First.result != null)
                    {
                        foreach (var task in tasks.First.result)
                        {
                            if (task.endpoint_advanced != null)
                            {
                                // #2 - using this method you can get results of each completed task
                                // GET /v3/serp/google/ai_mode/task_get/advanced/$id
                                var tasksGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
                                var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                if (tasksResultObj.tasks != null)
                                {
                                    foreach (var taskResult in tasksResultObj.tasks)
                                    {
                                        var fst = taskResult.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                }

                                // #3 - another way to get the task results by id
                                // GET /v3/serp/google/ai_mode/task_get/advanced/$id
                                /*
                                var tasksGetResponse = await httpClient.GetAsync("/v3/serp/google/ai_mode/task_get/advanced/" + (string)task.id);
                                var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
                                if (tasksResultObj.tasks != null)
                                {
                                    foreach (var taskResult in tasksResultObj.tasks)
                                    {
                                        var fst = taskResult.First;
                                        // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                                        if (fst.status_code >= 40000 || fst.result == null)
                                            Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                                        else
                                            tasksResponses.Add(fst.result);
                                    }
                                }
                                */
                            }
                        }
                    }
                }
                if (tasksResponses.Count > 0)
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
                else
                    Console.WriteLine("No completed tasks");
            }
            else
                Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20260223",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "12.8697 sec.",
  "cost": 0.004,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02241638-1535-0139-0000-f0c53c397c88",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "11.3557 sec.",
      "cost": 0.004,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "ai_mode",
        "task_get",
        "advanced"
      ],
      "data": {
        "api": "serp",
        "function": "task_get",
        "se": "google",
        "se_type": "ai_mode",
        "language_name": "English",
        "location_name": "London,England,United Kingdom",
        "keyword": "iphone 16 price comparison",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "iphone 16 price comparison",
          "type": "ai_mode",
          "se_domain": "google.com",
          "location_code": 1006886,
          "language_code": "en",
          "check_url": "https://www.google.com/search?q=iphone%2016%20price%20comparison&hl=en&gl=GB&udm=50&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS",
          "datetime": "2026-02-24 14:38:25 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "ai_overview"
          ],
          "se_results_count": 0,
          "items_count": 1,
          "items": [
            {
              "type": "ai_overview",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "position": "left",
              "xpath": "/html[1]/body[1]/div[2]/div[1]/div[9]/div[1]/div[2]/div[1]/section[1]/div[1]/div[1]/div[3]/div[1]/div[6]/div[1]/div[1]/div[1]/div[3]",
              "markdown": "The iPhone 16 series starts at **£599 / $599** for the [iPhone 16e](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:7398186838865327481,gpcid:14126173308846421367,headlineOfferDocid:1127918481051440950,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQxa4PegQIAhAD) and ranges up to **£1,599 / $1,599** for the top-tier [iPhone 16 Pro Max](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462492849692868,imageDocid:17679513203478999390,gpcid:5947667959674427990,headlineOfferDocid:17383852530810184723,catalogid:10702330202256481728,productDocid:7883580942214823167,rds:CSS_PC_5947667959674427990%7CPC_5947667959674427990%7CPROD_CSS_PC_5947667959674427990%7CPROD_PC_5947667959674427990&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQxa4PegQIAhAF) with 1TB of storage . While Apple's official pricing is fixed, third-party retailers like [Argos](https://www.argos.co.uk/product/7332520?&utm_custom6=LIA&utm_source=google&utm_medium=free_listing&utm_campaign=merchant_center&deeplink=true) and [Currys](https://www.currys.co.uk/products/apple-iphone-16e-128-gb-black-10276701.html) often offer discounts of up to 9% on specific models.[[1]](https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599)[[2]](https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29)[[3]](https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[4]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[5]](https://www.whistleout.com.au/MobilePhones/News/iPhone-16-price-cut#:~:text=Apple%20is%20already%20charging%20the%20new%20prices,iPhone%2016%2C%20which%20still%20starts%20at%20$999.)nnUK Price Comparison by Model (SIM-Free)nnRetail prices in the UK vary slightly between the official Apple Store and major electronics retailers.nn[![Apple iPhone 16e](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:16)nApple iPhone 16e £499.00 & more prices Argos & more 4.6 (8.5k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:12776322387042703964,gpcid:14126173308846421367,headlineOfferDocid:2765031151775529718,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAC) nn- **Argos/Currys** : £499 (currently discounted from £549).n- **Apple Store** : £599.nn[![Apple iPhone 16](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:17)nApple iPhone 16 £649.00 £699.00 & more prices Currys & more 4.7 (26.6k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576460833570787340,imageDocid:13931664520510243125,gpcid:1465601687215425854,headlineOfferDocid:3959967330461980312,catalogid:14710581654902521012,productDocid:1337961092622867211,rds:CSS_PC_1465601687215425854%7CPC_1465601687215425854%7CPROD_CSS_PC_1465601687215425854%7CPROD_PC_1465601687215425854&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAN) nn- **Argos/Mobiles.co.uk** : £649.n- **Apple Store/Tesco** : £699.nn[![Apple iPhone 16 Plus](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:18)nApple iPhone 16 Plus £749.00 £799.00 & more prices Currys & more 4.7 (8.7k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462819791058017,imageDocid:11820892857456011017,gpcid:8897179128216049295,headlineOfferDocid:1132731325589855711,catalogid:10946276701947621633,productDocid:2037843367107876121,rds:CSS_PC_8897179128216049295%7CPC_8897179128216049295%7CPROD_CSS_PC_8897179128216049295%7CPROD_PC_8897179128216049295&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAY) nn- **Argos/Currys** : £749.n- **Apple Store** : £799.nn[![Apple iPhone 16 Pro](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:19)nApple iPhone 16 Pro £949.00 & more prices We Buy Any Mobile & more 4.5 (21.2k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462796115543865,imageDocid:13551843893921557809,gpcid:10943350843658421229,headlineOfferDocid:2136782112117178687,catalogid:6127149605808509243,productDocid:7014898487207829112,rds:CSS_PC_10943350843658421229%7CPC_10943350843658421229%7CPROD_CSS_PC_10943350843658421229%7CPROD_PC_10943350843658421229&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAk) nn- **idealo.co.uk** : Starting from £849.n- **MoneySuperMarket** : Official starting price is £799.nn[![Apple iPhone 16 Pro Max Titanium](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:20)nApple iPhone 16 Pro Max Titanium £1,199.00 & more prices Tesco & more 4.4 (21.7k)+ more](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462492849692868,imageDocid:17679513203478999390,gpcid:5947667959674427990,headlineOfferDocid:17383852530810184723,catalogid:10702330202256481728,productDocid:7883580942214823167,rds:CSS_PC_5947667959674427990%7CPC_5947667959674427990%7CPROD_CSS_PC_5947667959674427990%7CPROD_PC_5947667959674427990&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAv) nn- **Tesco** : £1,199.n- **PriceSpy** : Spotted at £1,119 at certain retailers.[[1]](https://www.moneysupermarket.com/mobile-phones/apple/iphone-16-pro-deals/#:~:text=with%20iOS%2018-,Availability%20and%20price,899%20and%20%C2%A31%2C199%20respectively.)[[2]](https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[3]](https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[4]](https://www.google.com/search?q=product&prds=pvt:hg,productid:3452562929003363618,catalogid:13039969681672175437,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[5]](https://www.idealo.co.uk/compare/204771161/apple-iphone-16-128gb-black.html)[[6]](https://www.google.com/search?q=product&prds=pvt:hg,productid:1337961092622867211,catalogid:14710581654902521012,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[7]](https://www.google.com/search?q=product&prds=pvt:hg,productid:14054578951609781599,catalogid:4060211885099315058,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[8]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[9]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[10]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[11]](https://www.idealo.co.uk/compare/204736911/apple-iphone-16-pro.html)[[12]](https://pricespy.co.uk/s/apple-iphone-16/#:~:text=45%25,Max%205G%208GB%20RAM%20512GB)[[13]](https://www.uswitch.com/mobiles/iphone-16-pro-max-deals/#:~:text=If%20buying%20new%2C%20the%20iPhone%2016%20Pro,starts%20at%20%C2%A31%2C199%20for%20the%20256GB%20model.)nnUSA Price Comparison by Model (Starting Prices)nnUS pricing follows a consistent structure across the lineup based on base storage capacity.[[1]](https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599)[[2]](https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29)nn| Model[[1]](https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599)[[2]](https://discussions.apple.com/thread/255995250#:~:text=The%20cheapest%20iPhone%2016e%20costs%20$599%20USD.%20It%20has%20128%20GB%20of%20storage.)[[3]](https://pricespy.co.uk/s/apple-iphone-16/#:~:text=45%25,Max%205G%208GB%20RAM%20512GB)[[4]](https://www.billboard.com/culture/product-recommendations/t-mobile-iphone-16e-free-deal-shop-online-1236108114/#:~:text=Starting%20at%20$599%20for%20the%20125GB%20model%2C,of%20prices%2C%20storage%20options%20and%20wireless%20providers.)[[5]](https://www.cnet.com/tech/mobile/iphone-17e-release-date-price-specs-features-rumors/#:~:text=While%20there%20isn't%20much%20regarding%20the%20pricing,128GB%2C%20with%20the%20latter%20starting%20at%20$699.) | 128GB | 256GB | 512GB | 1TB |n|---|---|---|---|---|n| **iPhone 16e** | $599 | $699 | $899 | N/A |n| **iPhone 16** | $799 | $899 | $1,099 | N/A |n| **iPhone 16 Plus** | $899 | $999 | $1,119 | N/A |n| **iPhone 16 Pro** | $999 | $1,099 | $1,299 | $1,499 |n| **iPhone 16 Pro Max** | N/A | $1,199 | $1,399 | $1,599 |nnUser Sentiment & PerformancennExpert and user reviews highlight several key strengths across the new lineup.[[1]](https://www.aliexpress.com/i/1005008933620970.html#:~:text=Experts%20in%20the%20tech%20industry%20have%20also,the%20overall%20build%20quality%20as%20key%20strengths.)[[2]](https://www.plug.tech/products/iphone-16#:~:text=Reviewers%20praised%20the%20iPhone%2016%20for%20its,device's%20superior%20camera%2C%20audio%2C%20and%20display%20quality.)nn[![Apple iPhone 16](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:21)nApple iPhone 16 £699.00 & more prices Apple & more 4.7 (26.6k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576460833570787340,imageDocid:7217864709735610474,gpcid:1465601687215425854,headlineOfferDocid:13836102873727228679,catalogid:14710581654902521012,productDocid:1337961092622867211,rds:CSS_PC_1465601687215425854%7CPC_1465601687215425854%7CPROD_CSS_PC_1465601687215425854%7CPROD_PC_1465601687215425854&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAC) Users on major retail sites highly rate its **attractive design** and **ease of use** , noting that the setup process is straightforward when moving from older devices.nn[![Apple iPhone 16 Plus](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:22)nApple iPhone 16 Plus £799.00 & more prices Apple & more 4.7 (8.7k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462819791058017,imageDocid:16228087196740110850,gpcid:8897179128216049295,headlineOfferDocid:6614134710706234734,catalogid:10946276701947621633,productDocid:2037843367107876121,rds:CSS_PC_8897179128216049295%7CPC_8897179128216049295%7CPROD_CSS_PC_8897179128216049295%7CPROD_PC_8897179128216049295&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAM) Praised for its **large, clear display** and **quality camera** performance.nn[![Apple iPhone 16e](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:23)nApple iPhone 16e £599.00 & more prices Apple & more 4.6 (8.5k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:7398186838865327481,gpcid:14126173308846421367,headlineOfferDocid:1127918481051440950,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAX) Frequently cited for having **superb battery life** , making it a high-value option for the price.[[1]](https://www.google.com/search?q=product&prds=pvt:hg,productid:1337961092622867211,catalogid:14710581654902521012,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[2]](https://www.google.com/search?q=product&prds=pvt:hg,productid:14054578951609781599,catalogid:4060211885099315058,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[3]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[4]](https://www.google.com/search?q=product&prds=pvt:hg,productid:16340024321523860367,catalogid:15304842670567493919,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[5]](https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[6]](https://www.google.com/search?q=product&prds=pvt:hg,productid:12547667000936348459,catalogid:5238129818833767529,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[7]](https://www.backmarket.co.uk/en-gb/p/iphone-16e-128-gb-black-unlocked/4c1b6278-709b-4680-a6cc-25a2bf00b7c7)[[8]](https://www.amazon.co.uk/Apple-iPhone-16e-128GB-Intelligence/dp/B0DXQV1DQF#:~:text=Other%20Apple%20IPhone%2016e%20is%20amazing%20for,the%20price%20due%20to%20several%20key%20factors:)[[9]](https://medium.com/macoclock/iphone-17-buyers-guide-2026-buy-these-skip-the-air-56359e45c9b5#:~:text=iPhone%2016e%20If%20you%20can%20spend%20%E2%82%AC720%2C,roughly%20half%20the%20price%20of%20a%20Pro.)nnAre you looking for the best **contract deal** or a **SIM-free** purchase for a specific model?",
              "items": [
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": null,
                  "text": "The iPhone 16 series starts at £599 / $599 for the iPhone 16e and ranges up to £1,599 / $1,599 for the top-tier iPhone 16 Pro Max with 1TB of storage. While Apple's official pricing is fixed, third-party retailers like Argos and Currys often offer discounts of up to 9% on specific models. CNET +3",
                  "markdown": "The iPhone 16 series starts at **£599 / $599** for the [iPhone 16e](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:7398186838865327481,gpcid:14126173308846421367,headlineOfferDocid:1127918481051440950,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQxa4PegQIAhAD) and ranges up to **£1,599 / $1,599** for the top-tier [iPhone 16 Pro Max](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462492849692868,imageDocid:17679513203478999390,gpcid:5947667959674427990,headlineOfferDocid:17383852530810184723,catalogid:10702330202256481728,productDocid:7883580942214823167,rds:CSS_PC_5947667959674427990%7CPC_5947667959674427990%7CPROD_CSS_PC_5947667959674427990%7CPROD_PC_5947667959674427990&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQxa4PegQIAhAF) with 1TB of storage . While Apple's official pricing is fixed, third-party retailers like [Argos](https://www.argos.co.uk/product/7332520?&utm_custom6=LIA&utm_source=google&utm_medium=free_listing&utm_campaign=merchant_center&deeplink=true) and [Currys](https://www.currys.co.uk/products/apple-iphone-16e-128-gb-black-10276701.html) often offer discounts of up to 9% on specific models.[[1]](https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599)[[2]](https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29)[[3]](https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[4]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[5]](https://www.whistleout.com.au/MobilePhones/News/iPhone-16-price-cut#:~:text=Apple%20is%20already%20charging%20the%20new%20prices,iPhone%2016%2C%20which%20still%20starts%20at%20$999.)",
                  "links": [
                    {
                      "type": "link_element",
                      "title": "iPhone 16e",
                      "description": null,
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:7398186838865327481,gpcid:14126173308846421367,headlineOfferDocid:1127918481051440950,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQxa4PegQIAhAD",
                      "domain": "www.google.com"
                    },
                    {
                      "type": "link_element",
                      "title": "iPhone 16 Pro Max",
                      "description": null,
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462492849692868,imageDocid:17679513203478999390,gpcid:5947667959674427990,headlineOfferDocid:17383852530810184723,catalogid:10702330202256481728,productDocid:7883580942214823167,rds:CSS_PC_5947667959674427990%7CPC_5947667959674427990%7CPROD_CSS_PC_5947667959674427990%7CPROD_PC_5947667959674427990&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQxa4PegQIAhAF",
                      "domain": "www.google.com"
                    },
                    {
                      "type": "link_element",
                      "title": "Argos",
                      "description": null,
                      "url": "https://www.argos.co.uk/product/7332520?&utm_custom6=LIA&utm_source=google&utm_medium=free_listing&utm_campaign=merchant_center&deeplink=true",
                      "domain": "www.argos.co.uk"
                    },
                    {
                      "type": "link_element",
                      "title": "Currys",
                      "description": null,
                      "url": "https://www.currys.co.uk/products/apple-iphone-16e-128-gb-black-10276701.html",
                      "domain": "www.currys.co.uk"
                    }
                  ],
                  "images": null,
                  "references": [
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "CNET",
                      "domain": "www.cnet.com",
                      "url": "https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599",
                      "title": "Save Yourself Big Bucks by Grabbing the iPhone 16 for Less ...",
                      "text": "How much does the iPhone 16 cost and what are the specs? Prices differ depending on the amount of storage you buy, but here's the ..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "MacRumors",
                      "domain": "www.macrumors.com",
                      "url": "https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29",
                      "title": "How Much Does Each iPhone 16 Model Cost? - MacRumors",
                      "text": "How Much Does Each iPhone 16 Model Cost? * iPhone 16e. 128GB: $599 / £599. 256GB: $699 / £699. 512GB: $899 / £899. * iPhone 16. 12..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop",
                      "title": "Apple iPhone 16e",
                      "text": "Introducing the iPhone 16e, Apple's latest innovation that combines powerful performance with incredible value. Available in Black..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop",
                      "title": "Apple iPhone 16 Plus",
                      "text": "The first iPhone designed for Apple Intelligence. Personal, private, powerful iPhone 16 is built for Apple Intelligence, the perso..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "WhistleOut",
                      "domain": "www.whistleout.com.au",
                      "url": "https://www.whistleout.com.au/MobilePhones/News/iPhone-16-price-cut#:~:text=Apple%20is%20already%20charging%20the%20new%20prices,iPhone%2016%2C%20which%20still%20starts%20at%20$999.",
                      "title": "The iPhone 16 just got a permanent price cut",
                      "text": "Apple is already charging the new prices for its old iPhones, and we'd expect to see this rolled out to other retailers and telcos..."
                    }
                  ]
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "UK Price Comparison by Model (SIM-Free)",
                  "text": "Retail prices in the UK vary slightly between the official Apple Store and major electronics retailers.",
                  "markdown": "Retail prices in the UK vary slightly between the official Apple Store and major electronics retailers.",
                  "links": null,
                  "images": null,
                  "references": null
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16e](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:1)nApple iPhone 16e £499.00 & more prices Argos & more 4.6 (8.5k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:12776322387042703964,gpcid:14126173308846421367,headlineOfferDocid:2765031151775529718,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAC)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "6232195553081206070",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16e",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:12776322387042703964,gpcid:14126173308846421367,headlineOfferDocid:2765031151775529718,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAC",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.6,
                        "votes_count": 8500,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 499,
                        "regular": null,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£499.00 & more prices"
                      },
                      "seller": "Argos",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:0"
                    }
                  ]
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:3)nApple iPhone 16 £649.00 £699.00 & more prices Currys & more 4.7 (26.6k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576460833570787340,imageDocid:13931664520510243125,gpcid:1465601687215425854,headlineOfferDocid:3959967330461980312,catalogid:14710581654902521012,productDocid:1337961092622867211,rds:CSS_PC_1465601687215425854%7CPC_1465601687215425854%7CPROD_CSS_PC_1465601687215425854%7CPROD_PC_1465601687215425854&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAN)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "14710581654902521012",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576460833570787340,imageDocid:13931664520510243125,gpcid:1465601687215425854,headlineOfferDocid:3959967330461980312,catalogid:14710581654902521012,productDocid:1337961092622867211,rds:CSS_PC_1465601687215425854%7CPC_1465601687215425854%7CPROD_CSS_PC_1465601687215425854%7CPROD_PC_1465601687215425854&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAN",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.7,
                        "votes_count": 26600,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 649,
                        "regular": 699,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£649.00 £699.00 & more prices"
                      },
                      "seller": "Currys",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:2"
                    }
                  ]
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16 Plus](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:5)nApple iPhone 16 Plus £749.00 £799.00 & more prices Currys & more 4.7 (8.7k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462819791058017,imageDocid:11820892857456011017,gpcid:8897179128216049295,headlineOfferDocid:1132731325589855711,catalogid:10946276701947621633,productDocid:2037843367107876121,rds:CSS_PC_8897179128216049295%7CPC_8897179128216049295%7CPROD_CSS_PC_8897179128216049295%7CPROD_PC_8897179128216049295&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAY)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "10946276701947621633",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16 Plus",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462819791058017,imageDocid:11820892857456011017,gpcid:8897179128216049295,headlineOfferDocid:1132731325589855711,catalogid:10946276701947621633,productDocid:2037843367107876121,rds:CSS_PC_8897179128216049295%7CPC_8897179128216049295%7CPROD_CSS_PC_8897179128216049295%7CPROD_PC_8897179128216049295&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAY",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.7,
                        "votes_count": 8700,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 749,
                        "regular": 799,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£749.00 £799.00 & more prices"
                      },
                      "seller": "Currys",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:4"
                    }
                  ]
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16 Pro](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:7)nApple iPhone 16 Pro £949.00 & more prices We Buy Any Mobile & more 4.5 (21.2k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462796115543865,imageDocid:13551843893921557809,gpcid:10943350843658421229,headlineOfferDocid:2136782112117178687,catalogid:6127149605808509243,productDocid:7014898487207829112,rds:CSS_PC_10943350843658421229%7CPC_10943350843658421229%7CPROD_CSS_PC_10943350843658421229%7CPROD_PC_10943350843658421229&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAk)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "6127149605808509243",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16 Pro",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462796115543865,imageDocid:13551843893921557809,gpcid:10943350843658421229,headlineOfferDocid:2136782112117178687,catalogid:6127149605808509243,productDocid:7014898487207829112,rds:CSS_PC_10943350843658421229%7CPC_10943350843658421229%7CPROD_CSS_PC_10943350843658421229%7CPROD_PC_10943350843658421229&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAk",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.5,
                        "votes_count": 21200,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 949,
                        "regular": null,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£949.00 & more prices"
                      },
                      "seller": "We Buy Any Mobile",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:6"
                    }
                  ]
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16 Pro Max Titanium](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:9)nApple iPhone 16 Pro Max Titanium £1,199.00 & more prices Tesco & more 4.4 (21.7k)+ more](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462492849692868,imageDocid:17679513203478999390,gpcid:5947667959674427990,headlineOfferDocid:17383852530810184723,catalogid:10702330202256481728,productDocid:7883580942214823167,rds:CSS_PC_5947667959674427990%7CPC_5947667959674427990%7CPROD_CSS_PC_5947667959674427990%7CPROD_PC_5947667959674427990&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAv)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "10702330202256481728",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16 Pro Max Titanium",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462492849692868,imageDocid:17679513203478999390,gpcid:5947667959674427990,headlineOfferDocid:17383852530810184723,catalogid:10702330202256481728,productDocid:7883580942214823167,rds:CSS_PC_5947667959674427990%7CPC_5947667959674427990%7CPROD_CSS_PC_5947667959674427990%7CPROD_PC_5947667959674427990&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIBhAv",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.4,
                        "votes_count": 21700,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 1199,
                        "regular": null,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£1,199.00 & more prices"
                      },
                      "seller": "Tesco",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:8"
                    }
                  ]
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "USA Price Comparison by Model (Starting Prices)",
                  "text": "US pricing follows a consistent structure across the lineup based on base storage capacity. CNET +1",
                  "markdown": "US pricing follows a consistent structure across the lineup based on base storage capacity.[[1]](https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599)[[2]](https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29)",
                  "links": null,
                  "images": null,
                  "references": [
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "CNET",
                      "domain": "www.cnet.com",
                      "url": "https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599",
                      "title": "Save Yourself Big Bucks by Grabbing the iPhone 16 for Less ...",
                      "text": "How much does the iPhone 16 cost and what are the specs? Prices differ depending on the amount of storage you buy, but here's the ..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "MacRumors",
                      "domain": "www.macrumors.com",
                      "url": "https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29",
                      "title": "How Much Does Each iPhone 16 Model Cost? - MacRumors",
                      "text": "How Much Does Each iPhone 16 Model Cost? * iPhone 16e. 128GB: $599 / £599. 256GB: $699 / £699. 512GB: $899 / £899. * iPhone 16. 12..."
                    }
                  ]
                },
                {
                  "type": "ai_overview_table_element",
                  "position": "left",
                  "markdown": "| Model[[1]](https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599)[[2]](https://discussions.apple.com/thread/255995250#:~:text=The%20cheapest%20iPhone%2016e%20costs%20$599%20USD.%20It%20has%20128%20GB%20of%20storage.)[[3]](https://pricespy.co.uk/s/apple-iphone-16/#:~:text=45%25,Max%205G%208GB%20RAM%20512GB)[[4]](https://www.billboard.com/culture/product-recommendations/t-mobile-iphone-16e-free-deal-shop-online-1236108114/#:~:text=Starting%20at%20$599%20for%20the%20125GB%20model%2C,of%20prices%2C%20storage%20options%20and%20wireless%20providers.)[[5]](https://www.cnet.com/tech/mobile/iphone-17e-release-date-price-specs-features-rumors/#:~:text=While%20there%20isn't%20much%20regarding%20the%20pricing,128GB%2C%20with%20the%20latter%20starting%20at%20$699.) | 128GB | 256GB | 512GB | 1TB |n|---|---|---|---|---|n| **iPhone 16e** | $599 | $699 | $899 | N/A |n| **iPhone 16** | $799 | $899 | $1,099 | N/A |n| **iPhone 16 Plus** | $899 | $999 | $1,119 | N/A |n| **iPhone 16 Pro** | $999 | $1,099 | $1,299 | $1,499 |n| **iPhone 16 Pro Max** | N/A | $1,199 | $1,399 | $1,599 |",
                  "table": {
                    "table_header": null,
                    "table_content": [
                      [
                        "Model",
                        "128GB",
                        "256GB",
                        "512GB",
                        "1TB"
                      ],
                      [
                        "iPhone 16e",
                        "$599",
                        "$699",
                        "$899",
                        "N/A"
                      ],
                      [
                        "iPhone 16",
                        "$799",
                        "$899",
                        "$1,099",
                        "N/A"
                      ],
                      [
                        "iPhone 16 Plus",
                        "$899",
                        "$999",
                        "$1,119",
                        "N/A"
                      ],
                      [
                        "iPhone 16 Pro",
                        "$999",
                        "$1,099",
                        "$1,299",
                        "$1,499"
                      ],
                      [
                        "iPhone 16 Pro Max",
                        "N/A",
                        "$1,199",
                        "$1,399",
                        "$1,599"
                      ]
                    ]
                  }
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "User Sentiment & Performance",
                  "text": "Expert and user reviews highlight several key strengths across the new lineup.",
                  "markdown": "Expert and user reviews highlight several key strengths across the new lineup.[[1]](https://www.aliexpress.com/i/1005008933620970.html#:~:text=Experts%20in%20the%20tech%20industry%20have%20also,the%20overall%20build%20quality%20as%20key%20strengths.)[[2]](https://www.plug.tech/products/iphone-16#:~:text=Reviewers%20praised%20the%20iPhone%2016%20for%20its,device's%20superior%20camera%2C%20audio%2C%20and%20display%20quality.)",
                  "links": null,
                  "images": null,
                  "references": [
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "AliExpress",
                      "domain": "www.aliexpress.com",
                      "url": "https://www.aliexpress.com/i/1005008933620970.html#:~:text=Experts%20in%20the%20tech%20industry%20have%20also,the%20overall%20build%20quality%20as%20key%20strengths.",
                      "title": "Apple 6.1 iPhone 16 Dual SIM Card Cellphone 5G Unlocked Super Retina XDR OLED Face ID A18 128/256/512GB ROM 8GB RAM Smartphone",
                      "text": "Experts in the tech industry have also praised the iPhone 16 for its performance and features. According to a recent review by Tec..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Plug",
                      "domain": "www.plug.tech",
                      "url": "https://www.plug.tech/products/iphone-16#:~:text=Reviewers%20praised%20the%20iPhone%2016%20for%20its,device's%20superior%20camera%2C%20audio%2C%20and%20display%20quality.",
                      "title": "iPhone 16 – Plug",
                      "text": "Reviewers praised the iPhone 16 for its excellent condition, high battery health, and the convenience of pre-installed tempered gl..."
                    }
                  ]
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:11)nApple iPhone 16 £699.00 & more prices Apple & more 4.7 (26.6k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576460833570787340,imageDocid:7217864709735610474,gpcid:1465601687215425854,headlineOfferDocid:13836102873727228679,catalogid:14710581654902521012,productDocid:1337961092622867211,rds:CSS_PC_1465601687215425854%7CPC_1465601687215425854%7CPROD_CSS_PC_1465601687215425854%7CPROD_PC_1465601687215425854&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAC)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "14710581654902521012",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576460833570787340,imageDocid:7217864709735610474,gpcid:1465601687215425854,headlineOfferDocid:13836102873727228679,catalogid:14710581654902521012,productDocid:1337961092622867211,rds:CSS_PC_1465601687215425854%7CPC_1465601687215425854%7CPROD_CSS_PC_1465601687215425854%7CPROD_PC_1465601687215425854&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAC",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.7,
                        "votes_count": 26600,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 699,
                        "regular": null,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£699.00 & more prices"
                      },
                      "seller": "Apple",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:10"
                    }
                  ]
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": null,
                  "text": "Users on major retail sites highly rate its attractive design and ease of use, noting that the setup process is straightforward when moving from older devices.",
                  "markdown": "Users on major retail sites highly rate its **attractive design** and **ease of use** , noting that the setup process is straightforward when moving from older devices.",
                  "links": null,
                  "images": null,
                  "references": null
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16 Plus](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:13)nApple iPhone 16 Plus £799.00 & more prices Apple & more 4.7 (8.7k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462819791058017,imageDocid:16228087196740110850,gpcid:8897179128216049295,headlineOfferDocid:6614134710706234734,catalogid:10946276701947621633,productDocid:2037843367107876121,rds:CSS_PC_8897179128216049295%7CPC_8897179128216049295%7CPROD_CSS_PC_8897179128216049295%7CPROD_PC_8897179128216049295&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAM)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "10946276701947621633",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16 Plus",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462819791058017,imageDocid:16228087196740110850,gpcid:8897179128216049295,headlineOfferDocid:6614134710706234734,catalogid:10946276701947621633,productDocid:2037843367107876121,rds:CSS_PC_8897179128216049295%7CPC_8897179128216049295%7CPROD_CSS_PC_8897179128216049295%7CPROD_PC_8897179128216049295&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAM",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.7,
                        "votes_count": 8700,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 799,
                        "regular": null,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£799.00 & more prices"
                      },
                      "seller": "Apple",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:12"
                    }
                  ]
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": null,
                  "text": "Praised for its large, clear display and quality camera performance.",
                  "markdown": "Praised for its **large, clear display** and **quality camera** performance.",
                  "links": null,
                  "images": null,
                  "references": null
                },
                {
                  "type": "ai_overview_shopping",
                  "position": "left",
                  "title": null,
                  "markdown": "[![Apple iPhone 16e](https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:15)nApple iPhone 16e £599.00 & more prices Apple & more 4.6 (8.5k)](https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:7398186838865327481,gpcid:14126173308846421367,headlineOfferDocid:1127918481051440950,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAX)",
                  "items": [
                    {
                      "type": "ai_overview_shopping_element",
                      "product_id": "6232195553081206070",
                      "data_docid": "17363035694596624076",
                      "gid": "35723601308729824",
                      "title": "Apple iPhone 16e",
                      "url": "https://www.google.com/search?ibp=oshop&prds=pvt:hg,pvo:29,mid:576462880781495626,imageDocid:7398186838865327481,gpcid:14126173308846421367,headlineOfferDocid:1127918481051440950,catalogid:6232195553081206070,productDocid:4339668247161124257,rds:CSS_PC_14126173308846421367%7CPC_14126173308846421367%7CPROD_CSS_PC_14126173308846421367%7CPROD_PC_14126173308846421367&q=product&sa=X&ved=2ahUKEwjh58G0rfKSAxVoPEQIHXzkGwgQgLcPegQIDBAX",
                      "domain": "www.google.com",
                      "rating": {
                        "rating_type": "Max5",
                        "value": 4.6,
                        "votes_count": 8500,
                        "rating_max": 5
                      },
                      "price": {
                        "current": 599,
                        "regular": null,
                        "max_value": null,
                        "currency": "GBP",
                        "is_price_range": false,
                        "displayed_price": "£599.00 & more prices"
                      },
                      "seller": "Apple",
                      "snippet": null,
                      "marketplace": null,
                      "marketplace_url": null,
                      "image_url": "https://api.dataforseo.com/cdn/i/02241638-1535-0139-0000-f0c53c397c88:14"
                    }
                  ]
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": null,
                  "text": "Frequently cited for having superb battery life, making it a high-value option for the price.",
                  "markdown": "Frequently cited for having **superb battery life** , making it a high-value option for the price.[[1]](https://www.google.com/search?q=product&prds=pvt:hg,productid:1337961092622867211,catalogid:14710581654902521012,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[2]](https://www.google.com/search?q=product&prds=pvt:hg,productid:14054578951609781599,catalogid:4060211885099315058,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop)[[3]](https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[4]](https://www.google.com/search?q=product&prds=pvt:hg,productid:16340024321523860367,catalogid:15304842670567493919,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop)[[5]](https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[6]](https://www.google.com/search?q=product&prds=pvt:hg,productid:12547667000936348459,catalogid:5238129818833767529,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop)[[7]](https://www.backmarket.co.uk/en-gb/p/iphone-16e-128-gb-black-unlocked/4c1b6278-709b-4680-a6cc-25a2bf00b7c7)[[8]](https://www.amazon.co.uk/Apple-iPhone-16e-128GB-Intelligence/dp/B0DXQV1DQF#:~:text=Other%20Apple%20IPhone%2016e%20is%20amazing%20for,the%20price%20due%20to%20several%20key%20factors:)[[9]](https://medium.com/macoclock/iphone-17-buyers-guide-2026-buy-these-skip-the-air-56359e45c9b5#:~:text=iPhone%2016e%20If%20you%20can%20spend%20%E2%82%AC720%2C,roughly%20half%20the%20price%20of%20a%20Pro.)",
                  "links": null,
                  "images": null,
                  "references": [
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:1337961092622867211,catalogid:14710581654902521012,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop",
                      "title": "Apple iPhone 16: User Reviews",
                      "text": "The average rating is 4.7 out of 5 stars.n153 reviews support the following advantage: easy to set up. Users find the setup proces..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:14054578951609781599,catalogid:4060211885099315058,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop",
                      "title": "Apple iPhone 16: User Reviews",
                      "text": "The average rating is 4.7 out of 5 stars.n153 reviews support the following advantage: easy to set up. Users find the setup proces..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop",
                      "title": "Apple iPhone 16 Plus: User Reviews",
                      "text": "The average rating is 4.7 out of 5 stars.n128 reviews support the following advantage: large display. Users appreciate the large s..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:16340024321523860367,catalogid:15304842670567493919,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop",
                      "title": "Apple iPhone 16 Plus: User Reviews",
                      "text": "The average rating is 4.7 out of 5 stars.n128 reviews support the following advantage: large display. Users appreciate the large s..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop",
                      "title": "Apple iPhone 16e: User Reviews",
                      "text": "The average rating is 4.6 out of 5 stars.n406 reviews support the following advantage: long battery life. Users find the battery l..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Google",
                      "domain": "www.google.com",
                      "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:12547667000936348459,catalogid:5238129818833767529,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop",
                      "title": "Apple iPhone 16e: User Reviews",
                      "text": "The average rating is 4.6 out of 5 stars.n406 reviews support the following advantage: long battery life. Users find the battery l..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "www.backmarket.co.uk",
                      "domain": "www.backmarket.co.uk",
                      "url": "https://www.backmarket.co.uk/en-gb/p/iphone-16e-128-gb-black-unlocked/4c1b6278-709b-4680-a6cc-25a2bf00b7c7",
                      "title": "iPhone 16e 128GB - Black - Unlocked",
                      "text": "Robin D. Reviewed 01/02/2026, United Kingdom. I needed to buy a new iPhone but I didn't want to buy a new one and I decided to buy..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Amazon.co.uk",
                      "domain": "www.amazon.co.uk",
                      "url": "https://www.amazon.co.uk/Apple-iPhone-16e-128GB-Intelligence/dp/B0DXQV1DQF#:~:text=Other%20Apple%20IPhone%2016e%20is%20amazing%20for,the%20price%20due%20to%20several%20key%20factors:",
                      "title": "Apple iPhone 16e 128GB: Built for Apple Intelligence, A18 Chip, Supersized Battery Life, 48MP Fusion Camera, 6.1-inch Super Retina XDR Display; White",
                      "text": "Other Apple IPhone 16e is amazing for the price. The iPhone 16e is truly a wonderful phone and amazing for the price due to severa..."
                    },
                    {
                      "type": "ai_overview_reference",
                      "position": "left",
                      "source": "Medium",
                      "domain": "medium.com",
                      "url": "https://medium.com/macoclock/iphone-17-buyers-guide-2026-buy-these-skip-the-air-56359e45c9b5#:~:text=iPhone%2016e%20If%20you%20can%20spend%20%E2%82%AC720%2C,roughly%20half%20the%20price%20of%20a%20Pro.",
                      "title": "iPhone 17 Buyer’s Guide 2026 — Buy These, Skip the Air",
                      "text": "iPhone 16e If you can spend €720, the entry model — iPhone 16e — is an excellent value. Apple cut three major features to hit that..."
                    }
                  ]
                },
                {
                  "type": "ai_overview_element",
                  "position": "left",
                  "title": "contract deal SIM-free",
                  "text": null,
                  "markdown": "Are you looking for the best **contract deal** or a **SIM-free** purchase for a specific model?",
                  "links": null,
                  "images": null,
                  "references": null
                }
              ],
              "references": [
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "MoneySuperMarket",
                  "domain": "www.moneysupermarket.com",
                  "url": "https://www.moneysupermarket.com/mobile-phones/apple/iphone-16-pro-deals/#:~:text=with%20iOS%2018-,Availability%20and%20price,899%20and%20%C2%A31%2C199%20respectively.",
                  "title": "Best iPhone 16 Pro Deals - February 2026 - MoneySuperMarket",
                  "text": "Availability and price. The standard iPhone 16, iPhone 16 Plus and iPhone 16 Pro Max are priced from £799, £899 and £1,199 respect..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "idealo",
                  "domain": "www.idealo.co.uk",
                  "url": "https://www.idealo.co.uk/compare/204736911/apple-iphone-16-pro.html",
                  "title": "Buy Apple iPhone 16 Pro from £849.00 (Today) - idealo",
                  "text": "* 14 Variants from £849.00. Filter. Colour: Black. Gold. Grey. White. Internal Memory (GB): 128 GB. 256 GB. 512 GB. 1.000 GB. £849..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Idealo",
                  "domain": "www.idealo.co.uk",
                  "url": "https://www.idealo.co.uk/compare/204771161/apple-iphone-16-128gb-black.html",
                  "title": "Apple iPhone 16 128GB Black - Idealo",
                  "text": "Price comparison * Apple iPhone 16 128GB 5G UNLOCKED Smartphone NEW SEALED BOX. £598.99. £598.99 incl. delivery. Will usually deli..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "PriceSpy UK",
                  "domain": "pricespy.co.uk",
                  "url": "https://pricespy.co.uk/s/apple-iphone-16/#:~:text=45%25,Max%205G%208GB%20RAM%20512GB",
                  "title": "Apple iphone 16 – Find the best price - PriceSpy UK",
                  "text": "45% Apple iPhone 16e 8GB RAM 128GB. 8GB, 2025, 128GB, 5G (NR), iPhone 16, 6.1 inches. (4) £125.00. Apple iPhone 16 Pro Max 5G 8GB ..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "CNET",
                  "domain": "www.cnet.com",
                  "url": "https://www.cnet.com/deals/best-iphone-16-deals/#:~:text=iPhone%2016E:%20$599%20to%20$899,Pro%20Max:%20$1%2C199%20to%20$1%2C599",
                  "title": "Save Yourself Big Bucks by Grabbing the iPhone 16 for Less ...",
                  "text": "How much does the iPhone 16 cost and what are the specs? Prices differ depending on the amount of storage you buy, but here's the ..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "MacRumors",
                  "domain": "www.macrumors.com",
                  "url": "https://www.macrumors.com/2025/02/21/how-much-does-iphone-16-cost/#:~:text=Friday%20February%2021%2C%202025%205,16e%20%28Don't%20Buy%29",
                  "title": "How Much Does Each iPhone 16 Model Cost? - MacRumors",
                  "text": "How Much Does Each iPhone 16 Model Cost? * iPhone 16e. 128GB: $599 / £599. 256GB: $699 / £699. 512GB: $899 / £899. * iPhone 16. 12..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:2037843367107876121,catalogid:10946276701947621633,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop",
                  "title": "Apple iPhone 16 Plus",
                  "text": "The first iPhone designed for Apple Intelligence. Personal, private, powerful iPhone 16 is built for Apple Intelligence, the perso..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:4339668247161124257,catalogid:6232195553081206070,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop",
                  "title": "Apple iPhone 16e",
                  "text": "Introducing the iPhone 16e, Apple's latest innovation that combines powerful performance with incredible value. Available in Black..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:1337961092622867211,catalogid:14710581654902521012,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop",
                  "title": "Apple iPhone 16",
                  "text": "New Apple iPhone 16. Featuring Camera Control, giving you an easier way to quickly access camera tools and an all-new A18 chip tha..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:14054578951609781599,catalogid:4060211885099315058,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop",
                  "title": "Apple iPhone 16",
                  "text": "The Apple iPhone 16 128GB in Black is the next-generation iPhone with enhanced speed and design. Featuring Apple’s newest chipset,"
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:3452562929003363618,catalogid:13039969681672175437,gpcid:1465601687215425854,mid:576460833570787340&ibp=oshop",
                  "title": "Apple iPhone 16",
                  "text": "Discover the power of the Apple iPhone 16 128GB Blue, a high-performance smartphone that combines sophistication with cutting-edge..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:16340024321523860367,catalogid:15304842670567493919,gpcid:8897179128216049295,mid:576462819791058017&ibp=oshop",
                  "title": "Apple iPhone 16 Plus: User Reviews",
                  "text": "The average rating is 4.7 out of 5 stars.n128 reviews support the following advantage: large display. Users appreciate the large s..."
                },
                {
                  "type": "ai_overview_reference",
                  "position": "right",
                  "source": "Google",
                  "domain": "www.google.com",
                  "url": "https://www.google.com/search?q=product&prds=pvt:hg,productid:12547667000936348459,catalogid:5238129818833767529,gpcid:14126173308846421367,mid:576462880781495626&ibp=oshop",
                  "title": "Apple iPhone 16e: User Reviews",
                  "text": "The average rating is 4.6 out of 5 stars.n406 reviews support the following advantage: long battery life. Users find the battery l..."
                }
              ],
              "rectangle": null
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp